# shm_has_var

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

shm_has_var — Vérifie si une variable existe en mémoire partagée

### Description

shm_has_var(SysvSharedMemory `$shm`, int `$key`): bool

Vérifie si une variable existe en mémoire partagée.

### Liste de paramètres

`shm`

  Un segment de mémoire partagée obtenue depuis shm_attach().

`key`

  Le nom de la variable.

### Valeurs de retour

Retourne `true` si la variable existe, et `false` sinon;

### Historique

Version | Description
--- | ---
8.0.0 | `shm` attend une instance de SysvSharedMemory désormais; auparavant, une resource était attendue.

### Voir aussi

- shm_get_var() - Lit une variable dans la mémoire partagée
- shm_put_var() - Insère ou modifie une variable de la mémoire partagée